> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoyextensions/server-plugins/jwt/algorithm.md).

# Algorithm

## Overview

The `Algorithm` builder facilitates the creation of algorithm objects used for signing or verifying JWT tokens. It provides flexibility in configuring token headers, such as including a key identifier.

The `kid(kid)` method allows setting a key identifier, which will be included in the token header. The method takes a string representing the private key identifier as its parameter and returns the algorithm builder to enable method chaining.

## Methods Summarized

| Type                                                                     | Name                 | Summary                                                |
| ------------------------------------------------------------------------ | -------------------- | ------------------------------------------------------ |
| [Algorithm](/reference/servoyextensions/server-plugins/jwt/algorithm.md) | [kid(kid)](#kid-kid) | The key identifier, will be added to the token header. |

## Methods Detailed

### kid(kid)

The key identifier, will be added to the token header.

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **kid** the private key identifier

**Returns:** [Algorithm](/reference/servoyextensions/server-plugins/jwt/algorithm.md) the algorithm builder for method chaining

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/server-plugins/jwt/algorithm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
